!-------------------------------------------------
!  CHKlib Module
!-------------------------------------------------
module chklib
  use dcl_common
  contains

    function DclCheckBlank(c)             !空白かどうかを判別する．
      character(len=1), intent(in) :: c
      logical DclChekBlank
      DclCheckBlank = lchrb(c) 
    end function
      
    function DclCheckCurrency(c)          !通貨記号かどうかを判別する
      character(len=1), intent(in) :: c
      logical DclCheckCurrency
      DclCheckCurrency = lchrc(c)
    end function
      
    function DclCheckSpecial(c)           !特殊文字かどうかを判別する
      character(len=1), intent(in) :: c
      logical = DclCheckSpecial
      DclCheckSpecial = lchrs(c)
    end function
      
    function DclCheckAlphabet(c)          !英字かどうかを判別する
      character(len=1), intent(in) :: c 
      logical DclCheckAlphabet
      DclCheckAlphabet = lchrl(c)
    end function
      
    function DclCheckNumber(c)            !数字かどうかを判別する
      character(len=1), intent(in) :: c 
      logical DclCheckNumber
      DclCheckNumber = lchrd(c) 
    end function
      
    function DclCheckAlphaNum(c)          !英数字かどうかを判別する
      character(len=1), intent(in) :: c
      logical DclCheckAlphaNum
      DclCheckAlphaNum = lchra(c)
    end function
      
    function DclCheckFortran(c)           !fortran文字かどうかを判別する
      character(len=1), intent(in) :: c 
      logical DclCheckFortran
      DclCheckFortran = lchrf(c) 
    end function
      
    function DclCheckCharPattern(char,cref) !文字列の種類を判別する．
      character(len=*), intent(in) :: char  !文字種類を調べる文字列
      character(len=*), intent(in) :: cref  !文字列の種類を与えるテンプレート文字列
      logical DclCheckCharPattern
      DclCheckCharPattern = lchr(char,cref)
    end function

end module
